%define src_ver 1.1
%define languagelocal nederlands
%define languageeng dutch
%define languagecode nl

Summary: 	Dutch files for ispell
Name: 		ispell-%{languagecode} 
Version: 	1.1
Release: 	6mdk
URL: 		ftp://ftp.tue.nl/pub/tex/GB95/ispell-dutch96/
Source:		ftp://ftp.tue.nl/pub/tex/GB95/ispell-dutch96/ispell-dutch96.tar.bz2
Copyright: 	GPL
Group: 		System/Internationalization
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

Requires: locales-%{languagecode}
Requires: ispell
Provides: ispell-dictionary

Obsoletes: idutch
Obsoletes: ispell-dutch
Obsoletes: ispell-language-nederlands

%description
ispell-nl has the spelling data for Nederlands which is used by
the ispell program. With this extension, you can compose a document
in Dutch and check it for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc. 

%prep
%setup -n ispell-dutch96
mv dutch96.lat %{languagelocal}96.hash
mv dutch93.lat %{languagelocal}93.hash
mv dutch96.aff %{languagelocal}96.aff

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ispell

install -m 644 %{languagelocal}96.aff $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}96.aff
install -m 644 %{languagelocal}96.hash $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}96.hash

install -m 644 %{languagelocal}93.hash $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}93.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_libdir}/ispell
 ln -s %{languagelocal}96.aff %{languageeng}.aff
 ln -s %{languagelocal}96.hash %{languageeng}.hash

 ln -s %{languagelocal}96.aff %{languagelocal}.aff
 ln -s %{languagelocal}96.aff %{languagelocal}93.aff
 ln -s %{languagelocal}96.hash %{languagelocal}.hash
 
 ln -s %{languagelocal}96.aff %{languageeng}93.aff
 ln -s %{languagelocal}93.hash %{languageeng}93.hash 
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_libdir}/ispell
mv -f %{languagelocal}96.hash %{languagelocal}96.ispell
buildhash %{languagelocal}96.ispell %{languagelocal}96.aff %{languagelocal}96.hash &> /dev/null
rm -f %{languagelocal}96.ispell.stat %{languagelocal}96.ispell.cnt %{languagelocal}96.ispell

mv -f %{languagelocal}93.hash %{languagelocal}93.ispell
buildhash %{languagelocal}93.ispell %{languagelocal}93.aff %{languagelocal}93.hash &> /dev/null 
rm -f %{languagelocal}93.ispell.stat %{languagelocal}93.ispell.cnt %{languagelocal}93.ispell

%files
%defattr(644, root, root,755)
%doc README*
%{_libdir}/ispell/*

%changelog
* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 1.1-6mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 1.1-5mdk
- Cleaned up the spec and moved to standard template.

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-4mdk
- BM

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.1-3mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language

* Fri Dec 03 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First version for Mandrake.
